Page MenuHomePhabricator

[libunwind] Fix unw_get_proc_info sometimes returning stale data
ClosedPublic

Authored by Amanieu on Aug 28 2019, 9:23 AM.

Details

Summary

If unwind info is not available at the current IP, unw_get_proc_info should return a zero-filled structure rather than the info of the previous IP.

This change also makes unw_get_proc_info return UNW_ENOINFO instead of UNW_ESUCCESS.

Diff Detail

Event Timeline

Amanieu created this revision.Aug 28 2019, 9:23 AM
mstorsjo set the repository for this revision to rUNW libunwind.Sep 15 2019, 10:32 AM
mstorsjo added a subscriber: libcxx-commits.
compnerd accepted this revision.Sep 18 2019, 9:10 AM

Would be nice if we could have a test case for this.

This revision is now accepted and ready to land.Sep 18 2019, 9:10 AM
mstorsjo added subscribers: EricWF, mclow.lists.

Can the runtimes repo maintainers @mclow.lists @ldionne @EricWF give this an ack aswell?

@Amanieu Do you need someone to commit this for you?

Amanieu updated this revision to Diff 220707.Sep 18 2019, 11:00 AM

Added a test.

@mstorsjo Yes, I need someone to commit this for me.

compnerd closed this revision.Sep 20 2019, 8:51 AM

SVN r372407